Bug 237073 - An installation to USB flash media device roasts Grub on existing system
An installation to USB flash media device roasts Grub on existing system
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks: FC7Blocker
  Show dependency treegraph
 
Reported: 2007-04-19 06:45 EDT by Jasper O. Hartline
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-21 14:18:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jasper O. Hartline 2007-04-19 06:45:00 EDT
Description of problem:
Installing Fedora 7 Test 3 to a USB flash media device, I chose to install Grub
to /dev/sdc1 partition, and not /dev/sda using the extended bootloader
configuration menu. After the installation I found it had roasted Grub on the
workstation system already in place, LVM over /dev/sda3 and /dev/sdb1. 
(IDE DEVICES, Western Digital Caviar 40GB disks)

Version-Release number of selected component (if applicable):
Fedora 7 Test 3

How reproducible:
Install to a USB flash media device, choose /dev/{device}1 as installation area
for Grub. Reboot, find already installed Grub on the system is roasted.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
No additional information at this time.
Comment 1 Jeremy Katz 2007-04-19 09:42:29 EDT
You did this on the advanced bootloader screen and not via the drop down on the
auto-partitioning screen, correct?
Comment 2 Jasper O. Hartline 2007-04-19 10:43:44 EDT
Correct. The installation was done using custom layout, nothing was chosen to be
automatically done. Ext2 was chosen for the device's filesystem, and I
absolutely made sure to uncheck the boxes for the other drives which were
present, sda and sdb during the partitioning stages.

This may or may not be related as far as the technical details are concerned,
but I also notice this same behavior when using grub-install /dev/sda from a
Fedora Core 6 system, where both WDC drives are hda and hdb, rather than sda and
sdb.

Immediately after fixing the roasted Grub issue on my workstation, I went to
install Grub to the flash stick assuming that of course it wasn't installed to
the flash stick but to the machine's primary IDE device, and in a bad way.

When I did that from Fedora Core 6, it again roasted my workstation's Grub
installation on hda. I can provide any information you need, surely this isn't a
hardware related issue or anything that the hardware might contribute to this
happenning, I've installed Grub to this very same flash stick in Fedora Core 5
and it did not roast the workstation's Grub.

What I saw on the screen was GRUB GRUB GRUB GRUB GRUB GRUB GRUB a million times,
which leads me to believe that Grub was being installed to the workstation's
main disk with the wrong geometry used, which of course could be that of the
intended device  the USB flash stick, or that it was simply corrupted somehow.
In any case it was installed to the wrong deivce or had altered the existing
Grub on an unintended device.

rpm -qV grub doesn't show any files as changed, so I'm really unsure what to
make of it without diving into the grub-install script or doing any other
research into the issus. I know it isn't doing what it is supposed to do and so
I've filed the bug. Ok that's all for now.
Comment 3 Will Woods 2007-05-29 10:31:10 EDT
I can't seem to reproduce this in my testing. Is it possible for you to retest
this with F7rc2 / rawhide?
Comment 4 Red Hat Bugzilla 2007-06-11 23:48:21 EDT
requested by Jams Antill
Comment 5 Jeremy Katz 2007-09-21 14:18:57 EDT
Closing due to inactivity; please reopen if you have further information to add
to this report


Note You need to log in before you can comment on or make changes to this bug.